<div class="container">
  <div class="panel panel-primary filterable">
    <div class="panel-heading">
      <h3 class="panel-title">
        <div ng-if="!model.id">Creando tipo shape</div>
        <div ng-if="model.id">Editando shape {{ model.descripcion }}</div>
      </h3>
    </div>
    <div class="panel-body">
      <form class="form-horizontal" name="form" novalidate>
        <div class="form-group" show-errors>
          <label for="descripcion" class="col-sm-2 control-label">Descripcion</label>
          <div class="col-sm-10">
            <input type="text" maxlength="30" name="descripcion" required="true" class="form-control" id="descripcion" placeholder="Define las cañerias" ng-model="model.descripcion">
          </div>
        </div>
        <div class="form-group">
          <label for="color" class="col-sm-2 control-label">Color</label>
          <color-picker class="col-sm-10" options="{ required : true, format : 'hex', placeholder : '#000000', round : true, name : 'color', id : 'color' }" ng-model="model.color"></color-picker>
        </div>
        <div class="form-group" show-errors>
          <label for="icono" class="col-sm-2 control-label">Ícono</label>
          <div class="col-sm-10">
            <input type="text" maxlength="30" name="icono" required="true" class="form-control" id="icono" placeholder="fa-anchor" ng-model="model.icono">
          </div>
        </div>
        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <button ng-click="accept()" class="btn btn-primary">
              Aceptar
            </button>
            <a ng-href="#!/tipos/" class="btn btn-default">
              Cancelar
            </a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
